"use client";
import { FC, PropsWithChildren } from "react";
import clsx from "clsx";
import styles from "./style.module.scss";

/**
 * @description 自定义button按钮
 * @param {any} children 插槽内容
 * @param {boolean} active 是否高亮
 */
export interface ButtonProps {
    children?: any;
    active?: boolean;
    callbackFun?: () => void;
    [props: string]: any
}

const ButtonOwn: FC<PropsWithChildren<ButtonProps>> = (props) => {
    const { children = '', active = false, callbackFun } = props;
    const style = clsx({
        [styles.button]: true,
        [styles.active]: active,
    });
    
    return (
        <div className={style} onClick={callbackFun}>{children}</div>
    );
};

export default ButtonOwn;
